Bug 1140317 - CVE-2013-4444 tomcat: remote code execution via uploaded JSP [epel-6] [NEEDINFO]
Summary: CVE-2013-4444 tomcat: remote code execution via uploaded JSP [epel-6]
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: tomcat
Version: el6
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Ivan Afonichev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=dcafaro, fst_ping=2
Keywords: Security, SecurityTracking
Depends On: 1154978
Blocks: CVE-2013-2185 CVE-2013-4444
TreeView+ depends on / blocked
 
Reported: 2014-09-10 16:34 UTC by Vincent Danen
Modified: 2016-02-07 01:25 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-02-07 01:25:16 UTC
sparks: needinfo? (ivan.afonichev)
dac: needinfo? (ivan.afonichev)


Attachments (Terms of Use)

Description Vincent Danen 2014-09-10 16:34:04 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

epel-6 tracking bug for tomcat: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2014-09-10 16:34:08 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1140314,1140317

# Description of your update
notes=Security fix for CVE-2013-4444

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1140314,1140317

Comment 2 Vincent Danen 2014-10-03 17:22:58 UTC
Any fix should also note bug #974813 because CVE-2013-4444 is a duplicate of CVE-2013-2185.

Comment 3 Rahul Sundaram 2014-12-14 16:58:45 UTC
ping

Comment 4 Ivan Afonichev 2014-12-14 18:36:09 UTC
Seems to be fixed within https://bugzilla.redhat.com/show_bug.cgi?id=1154978

Comment 5 Brandon Vincent 2014-12-14 20:32:22 UTC
(In reply to Ivan Afonichev from comment #4)
> Seems to be fixed within https://bugzilla.redhat.com/show_bug.cgi?id=1154978

This security vulnerability is fixed in Apache Tomcat 7.0.40 and later. An update to 7.0.56 would permit this ticket to be closed.

Other security issues exist in 7.0.33, so we would be appreciative for updated packages to be pushed.

Comment 6 Eric Christensen 2015-04-23 13:01:44 UTC
Can an update be pushed for this package?

Comment 7 David A. Cafaro 2015-10-11 02:43:37 UTC
This has not been addressed, no word on the package going in (and I don't see it in the repos).

Who else needs to be pinged?

Comment 8 David A. Cafaro 2015-11-26 03:55:00 UTC
Pinged upstream ticket regarding Tomcat package update.

Comment 9 Fedora Update System 2016-01-06 19:06:50 UTC
tomcat-7.0.65-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-819f6356ea

Comment 10 Fedora Update System 2016-01-08 21:19:38 UTC
tomcat-7.0.65-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-819f6356ea

Comment 11 Fedora Update System 2016-02-07 01:24:57 UTC
tomcat-7.0.65-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.